"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var form_1 = require("../form");
var classNames_1 = require("../../../utilities/classNames");
var RadioInput = /** @class */ (function (_super) {
    tslib_1.__extends(RadioInput, _super);
    function RadioInput() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RadioInput.prototype.render = function () {
        var validationMessage = this.props["data-validation-message"];
        var _a = this.props, labelContent = _a.labelContent, validationMode = _a.validationMode, attrs = tslib_1.__rest(_a, ["labelContent", "validationMode"]);
        var id = form_1.generateUniqueId(function (u) { return "radio_" + u; });
        var classes = classNames_1.ClassHelpers.classNames("armstrong-input", "radio", this.props.className, {
            "show-validation": (validationMode !== "none" && validationMessage)
        });
        return (React.createElement("div", { className: classes, title: validationMessage },
            React.createElement("input", tslib_1.__assign({ id: id }, attrs, { type: "radio", "data-validation-message": validationMessage })),
            React.createElement("label", { htmlFor: id }),
            React.createElement("label", { className: "radio-label", htmlFor: id }, labelContent)));
    };
    RadioInput.defaultProps = {
        validationMode: "none"
    };
    return RadioInput;
}(React.Component));
exports.RadioInput = RadioInput;
