/// <reference types="react" />
import * as React from "react";
import { FgColorClass, BgColorClass, MarginClass, PaddingClass } from "./../../utilities/uiHelpers";
export interface IButtonProps extends React.HTMLProps<HTMLButtonElement> {
    /** ((React.MouseEvent) => void) Event to fire when the button is clicked */
    onClick?: (e?: React.MouseEvent<{}>) => void;
    /** (string) An icon to show on the left of the buttons content */
    leftIcon?: string;
    /** (string) An icon to show on the right of the buttons content */
    rightIcon?: string;
    /** (boolean) Wether or not the button should have rounded edges */
    rounded?: boolean;
    /** (string) CSS classname property */
    className?: string | MarginClass | PaddingClass | BgColorClass | FgColorClass;
    /** (boolean) If true, disables actions and puts button into a 'pending' state */
    pending?: boolean;
}
export declare class Button extends React.Component<IButtonProps> {
    private handleClick;
    input: HTMLButtonElement;
    focus(): void;
    blur(): void;
    render(): JSX.Element;
}
